%global src_name gnome_shell___ubuntu_ambiance_by_half_left-d3h6ouv.zip
%global theme_name ambiance
%global theme Ambience


Name:           gnome-shell-theme-%{theme_name}
Version:        1.0
Release:        3%{?dist}
Summary:        The %{theme} gnome-shell theme
Group:          User Interface/Desktops

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-Ubuntu-Ambience-210264151
Source0:        http://www.deviantart.com/download/210264151/%{src_name}
Source1:        %{theme_name}-light.png
Source2:        %{theme_name}-dark.png
Source3:        %{theme_name}-dark-purple.png
Patch0:         rename-theme.patch

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.0.1
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c
unzip gs-*%{theme_name}-light.zip
unzip gs-*%{theme_name}-dark.zip
unzip gs-*%{theme_name}-dark-purple.zip
# Rename the theme to avoid trademark issues
%patch0 -p1

%build
# Nothing to build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-light/gnome-shell
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/gnome-shell
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark-purple/gnome-shell

# put the theme files into some data dir
cp -p -r gs-*%{theme_name}-light/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-light/.
cp -p -r gs-*%{theme_name}-dark/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/.
cp -p -r gs-*%{theme_name}-dark-purple/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark-purple/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f

# remove original preview and add some new ones, to avoid trademark issues
find $RPM_BUILD_ROOT -name preview-*.jpg -type f -print | xargs /bin/rm -f
cp -p %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-light/gnome-shell/preview-%{theme_name}.png
cp -p %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/gnome-shell/preview-%{theme_name}.png
cp -p %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark-purple/gnome-shell/preview-%{theme_name}.png


%files
%doc gs-*%{theme_name}-light/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}-dark-purple
%dir %{_datadir}/themes/%{theme}-dark
%dir %{_datadir}/themes/%{theme}-light
%{_datadir}/themes/%{theme}-dark-purple/*
%{_datadir}/themes/%{theme}-dark/*
%{_datadir}/themes/%{theme}-light/*


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0-2
- fix review issues:
- Added full version release to spec changelog-
- Add -p to copy commands
- fix typo in comment

* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0-1
- initial rpm build
